[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Classes' (#rtl)

# TStream.ReadByte

Read a byte from the stream and return its value.

## Declaration

Source position: classesh.inc line 965

`public function TStream.ReadByte: Byte;`

## Description

ReadByte reads one byte from the stream and returns its value.

## Errors

If the byte cannot be read, a EStreamError exception will be raised. This is a utility function which simply calls the Read function.

## See also

TStream.Read |  | Reads data from the stream to a buffer and returns the number of bytes read.
TStream.WriteByte |  | Write a byte to the stream.
TStream.ReadWord |  | Read a word from the stream and return its value.
TStream.ReadDWord |  | Read a DWord from the stream and return its value.
TStream.ReadAnsiString |  | Read an ansistring from the stream and return its value.